#ifndef GLOBALSETTINGS_H
#define GLOBALSETTINGS_H

#include "settings.h"
#include "orientationmapping.h"

#include "libcommon_global.h"

class COMMONSHARED_EXPORT GlobalSettings : public Settings
{
    Q_OBJECT

public:
    explicit GlobalSettings(const QString& filePath, QObject* parent = nullptr);
    virtual ~GlobalSettings();

public:
    OrientationMapping orientationMapping();
    void saveOrientationMapping(const OrientationMapping &mapping);

    Qt::ScreenOrientation landscapeOrientation(const QString& screenName = QString());
    void setLandscapeOrientation(const QString& screenName, const Qt::ScreenOrientation orientation);

private:
    static const QString screenGroupName(const QString& screenName);
    static const QString screenNameFromGroupName(const QString& groupName);
};

#endif // GLOBALSETTINGS_H
