#ifndef ORIENTATIONMAPPING_H
#define ORIENTATIONMAPPING_H

#include "libcommon_global.h"

#include <QObject>
#include <QMap>

class COMMONSHARED_EXPORT OrientationMapping
{
public:
    OrientationMapping();
    explicit OrientationMapping(const QMap<QString, Qt::ScreenOrientation> &landscapeOrientations);

    // Screen name -> screen landscape orientation
    const QMap<QString, Qt::ScreenOrientation> &landscapeOrientations() const;
    void setLandscapeOrientations(const QMap<QString, Qt::ScreenOrientation> &landscapeOrientations);

    Qt::ScreenOrientation landscapeOrientation(const QString &screen) const;
    void setLandscapeOrientation(const QString &screen, const Qt::ScreenOrientation orientation);

    // Для использования на сервисе (Normal -> Left)
    Qt::ScreenOrientation mapTo(const QString &screen, const Qt::ScreenOrientation orientation);
    // Для использования на клиенте (Left -> Normal)
    Qt::ScreenOrientation mapFrom(const QString &screen, const Qt::ScreenOrientation orientation);

private:
    QMap<QString, Qt::ScreenOrientation> m_landscapeOrientations;
};

#endif // ORIENTATIONMAPPING_H
