#ifndef ORIENTATIONSENSOR_H
#define ORIENTATIONSENSOR_H

#include "libcommon_global.h"

#include <QOrientationSensor>
#include <QDBusServiceWatcher>


class COMMONSHARED_EXPORT OrientationSensor : public QOrientationSensor
{
    Q_OBJECT

public:
    explicit OrientationSensor(QObject* parent = nullptr);
    virtual ~OrientationSensor();

public slots:
    bool start();
    void stop();

private slots:
    void onActiveChanged();
    void serviceRegistered(const QString& service);
    void serviceUnregistered(const QString& service);

private:
    bool m_started;
    bool m_isActive;
    QDBusServiceWatcher* m_sensorProxyWatcher;
};

#endif // ORIENTATIONSENSOR_H
