#ifndef ORIENTATIONSERVICEINTERFACE_H
#define ORIENTATIONSERVICEINTERFACE_H

#include "libcommon_global.h"

#include <QDBusInterface>
#include <QDBusPendingCallWatcher>


class COMMONSHARED_EXPORT OrientationServiceInterface : public QDBusInterface
{
    Q_OBJECT

signals:
    void autorotationChanged(const QString& username, const QString& screenName, const bool enabled);

public:
    explicit OrientationServiceInterface(QObject* parent = nullptr);
    virtual ~OrientationServiceInterface();

public:
    static bool autorotationValueFromWatcher(QDBusPendingCallWatcher* watcher);

    QDBusPendingCallWatcher* rotateScreen(const QString& screenName, const Qt::ScreenOrientation orientation);
    QDBusPendingCallWatcher* autorotationEnabled(const QString& screenName);
    QDBusPendingCallWatcher* enableAutorotation(const QString& screenName, const bool enable);
    QDBusPendingCallWatcher* reloadGlobalConfig();
    QDBusPendingCallWatcher* pauseAutorotation(const bool enable);
};

#endif // ORIENTATIONSERVICEINTERFACE_H
